RDKit::KeyHolderBase Class Referenceabstract

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::KeyHolderBase:

## Public Member Functions

virtual | ~KeyHolderBase ()
virtual unsigned int | addMol (const ROMol &m)=0
| Add a key to the database getting it from the molecule. More...
virtual unsigned int | addKey (const std::string &)=0
virtual const std::string & | getKey (unsigned int) const =0
virtual std::vector< std::string > | getKeys (const std::vector< unsigned int > &indices) const =0
virtual unsigned int | size () const =0
| Get the current keeyholder size. More...

## Detailed Description

Definition at line 334 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## ~KeyHolderBase()

virtual RDKit::KeyHolderBase::~KeyHolderBase | ( |  | ) |

inline virtual

Definition at line 336 of file SubstructLibrary.h.

## Member Function Documentation

## addKey()

virtual unsigned int RDKit::KeyHolderBase::addKey | ( | const std::string & |  | ) |

pure virtual

Add a key to the database, this needs to be in the same order as the molecule, no validation is done

Implemented in RDKit::KeyFromPropHolder.

## addMol()

virtual unsigned int RDKit::KeyHolderBase::addMol | ( | const ROMol & | m | ) |

pure virtual

Add a key to the database getting it from the molecule.

Implemented in RDKit::KeyFromPropHolder.

## getKey()

virtual const std::string& RDKit::KeyHolderBase::getKey | ( | unsigned int |  | ) | const

pure virtual

Implemented in RDKit::KeyFromPropHolder.

## getKeys()

virtual std::vector<std::string> RDKit::KeyHolderBase::getKeys | ( | const std::vector< unsigned int > & | indices | ) | const

pure virtual

Implemented in RDKit::KeyFromPropHolder.

## size()

virtual unsigned int RDKit::KeyHolderBase::size | ( |  | ) | const

pure virtual

Get the current keeyholder size.

Implemented in RDKit::KeyFromPropHolder.

The documentation for this class was generated from the following file:

- SubstructLibrary.h